Finalize a Direct Payment (PCI-DSS compliant only)

This method finalizes the credit of a wallet by card after 3D Secure authentication of the client:

  1. After initiating a Direct Payment using POST /moneyins/card/direct/3dinit, you receive an Authentication URL and a Transaction Id. If you want to register a card for future payments set registerCard=true
  2. With the Authentication URL, you are able to redirect the end-user to the ACS (Bank Authentication Server) Page
  3. After 3D Secure Authentication, you will be called back on the ReturnURL
  4. You need to then call POST /moneyins/card/direct/{transactionid}/3dauthenticate to verify the authentication process was done.
  5. If the authentication was done then call PUT /moneyins/card/direct/{transactionid}/3dconfirm specifying the return Transaction ID to finalize the payment.
    For Subscriptions with equal recurring amounts: for the initial subscription payment, use the POST /moneyins/card/direct/3dinit and then POST /moneyins/card/direct/{transactionid}/3dauthenticate and PUT /moneyins/card/direct/{transactionid}/3dconfirm Ensure that you set: registerCard=true Use POST /moneyins/card/{cardid}/rebill for all subsequent payments.
Path Params
int64
required
Body Params
boolean

Mercanet only Indicates if the request is delayed and will require validation.

  1. If true, payment will only be pre-authorized, you will have to call the MoneyInValidate method within 6 days or [delayedDays] in order to request the debit card.
  2. If empty, the default behavior is no delay and no validation is necessary (unless stated otherwise in your contract).
  3. If false, the card will be debited without delay and without validation necessary.
int32

Mercanet only If isPreAuth is not true, this will be ignored. Please use with caution, if delayedDays > 6, it is possible that the payment will be denied when you try to validate it, because a new authorization will be made.

card
object
string

MD Data Returned by 3-D Secure Site

string

Pares Data Returned by 3-D Secure Authentication Website

string

Leave Empty

Headers
string
required

Authorization bearer (OAuth 2)

string

Response language accepted by final client (PSU). English by default

string
required

IP address of the final client (PSU).

string

User-agent of the final client (PSU).

Responses

401

Unauthorized

500

InternalServerError

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json